package com.aimluck.eip.document.common;

import java.util.ArrayList;

public class DocumentAccessMember {
  private ArrayList groups;
  private ArrayList users;
  boolean is_member;
  
  public DocumentAccessMember(ArrayList groups, ArrayList users,
      boolean is_member) {
    super();
    this.groups = groups;
    this.users = users;
    this.is_member = is_member;
  }

  public DocumentAccessMember(){
    groups = new ArrayList();
    users = new ArrayList();
    is_member = true;
  }
  

  public ArrayList getGroups() {
    return groups;
  }


  public void setGroups(ArrayList groups) {
    this.groups = groups;
  }


  public ArrayList getUsers() {
    return users;
  }


  public void setUsers(ArrayList users) {
    this.users = users;
  }

  public boolean getIsMember() {
    return is_member;
  }

  public void setIsMember(boolean is_member) {
    this.is_member = is_member;
  }
  
  
}
